Bug 1051750 - [abrt] springlobby: boost::system::error_code::message() const(): springlobby killed by SIGABRT
Summary: [abrt] springlobby: boost::system::error_code::message() const(): springlobby...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: springlobby
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gilboa Davara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d9919dad32003d6eeca50075a01...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-11 08:36 UTC by Simon Geard
Modified: 2015-06-29 14:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:21:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.15 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: core_backtrace (16.93 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: dso_list (15.25 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: environ (1.48 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: maps (84.38 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: open_fds (709 bytes, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details
File: var_log_messages (6.62 KB, text/plain)
2014-01-11 08:37 UTC, Simon Geard
no flags Details

Description Simon Geard 2014-01-11 08:36:59 UTC
Description of problem:
Not 100% certain, but I believe this is happening when SpringLobby exits... I close it, and a few seconds later, I get a notification that it crashed.

Version-Release number of selected component:
springlobby-0.169-8.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        springlobby
crash_function: boost::system::error_code::message() const
executable:     /usr/bin/springlobby
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 boost::system::error_code::message() const
 #7 boost::system::system_error::what() const
 #10 __cxa_call_terminate at ../../../../libstdc++-v3/libsupc++/eh_call.cc:54
 #11 __cxxabiv1::__gxx_personality_v0 at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:670
 #12 _Unwind_RaiseException_Phase2 at ../../../libgcc/unwind.inc:62
 #13 _Unwind_Resume at ../../../libgcc/unwind.inc:230
 #14 boost::mutex::lock()
 #15 boost::unique_lock<boost::mutex>::lock()
 #16 boost::thread_cv_detail::lock_on_exit<boost::unique_lock<boost::mutex> >::~lock_on_exit()
 #17 boost::condition_variable::wait(boost::unique_lock<boost::mutex>&)

Comment 1 Simon Geard 2014-01-11 08:37:08 UTC
Created attachment 848535 [details]
File: backtrace

Comment 2 Simon Geard 2014-01-11 08:37:11 UTC
Created attachment 848536 [details]
File: cgroup

Comment 3 Simon Geard 2014-01-11 08:37:14 UTC
Created attachment 848537 [details]
File: core_backtrace

Comment 4 Simon Geard 2014-01-11 08:37:16 UTC
Created attachment 848538 [details]
File: dso_list

Comment 5 Simon Geard 2014-01-11 08:37:18 UTC
Created attachment 848539 [details]
File: environ

Comment 6 Simon Geard 2014-01-11 08:37:20 UTC
Created attachment 848540 [details]
File: limits

Comment 7 Simon Geard 2014-01-11 08:37:22 UTC
Created attachment 848541 [details]
File: maps

Comment 8 Simon Geard 2014-01-11 08:37:26 UTC
Created attachment 848542 [details]
File: open_fds

Comment 9 Simon Geard 2014-01-11 08:37:27 UTC
Created attachment 848543 [details]
File: proc_pid_status

Comment 10 Simon Geard 2014-01-11 08:37:29 UTC
Created attachment 848544 [details]
File: var_log_messages

Comment 11 Gilboa Davara 2014-11-18 14:44:00 UTC
Does it reproduce with the (semi) latest version of springlobby or was it a one time crash?

Comment 12 Simon Geard 2014-11-19 10:26:55 UTC
It certainly wasn't a one-time crash... from memory, it happened consistently every time I exited SpringLobby.

As to whether it's reproducable now - I had to install it, since I've not played the game much lately. It certainly isn't happening every time like it was, but I did get one crash (out of about six attempts), which I think was also reported as 1165599.

Comment 13 Fedora End Of Life 2015-05-29 10:26:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:21:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.